org.red5.io.amf

## Class AMF

- java.lang.Object
- - org.red5.io.amf.AMF

    public class AMF
    extends Object

These are the core AMF data types supported by Red5. For detailed specification please see the link below.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)
See Also:
  AMF specification (external)

### Field Summary

Fields
`static Charset` `CHARSET` UTF-8 is used
`static int` `LONG_STRING_LENGTH` Max string lenght constant
`static byte` `TYPE_AMF3_OBJECT` Object marker constant (for AMF3)
`static byte` `TYPE_ARRAY` Array marker constant
`static byte` `TYPE_BOOLEAN` Boolean value marker constant
`static byte` `TYPE_CLASS_OBJECT` Class marker constant
`static byte` `TYPE_DATE` Date marker constant
`static byte` `TYPE_END_OF_OBJECT` End of object marker constant
`static byte` `TYPE_LONG_STRING` Long string marker constant
`static byte` `TYPE_MIXED_ARRAY` Mixed array marker constant
`static byte` `TYPE_MOVIECLIP` MovieClip marker constant
`static byte` `TYPE_NULL` Null marker constant
`static byte` `TYPE_NUMBER` Number marker constant
`static byte` `TYPE_OBJECT` Object marker constant
`static byte` `TYPE_RECORDSET` Recordset marker constant
`static byte` `TYPE_REFERENCE` Object reference marker constant
`static byte` `TYPE_STRING` String marker constant
`static byte` `TYPE_UNDEFINED` Undefined marker constant
`static byte` `TYPE_UNSUPPORTED` Unsupported type marker constant
`static byte` `TYPE_XML` XML marker constant
`static byte` `VALUE_FALSE` false marker constant
`static byte` `VALUE_TRUE` true marker constant

### Constructor Summary

Constructors
Constructor and Description
`AMF()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CHARSET

    public static final Charset CHARSET

UTF-8 is used

#### LONG_STRING_LENGTH

    public static final int LONG_STRING_LENGTH

Max string lenght constant

See Also:
  Constant Field Values

#### TYPE_NUMBER

    public static final byte TYPE_NUMBER

Number marker constant

See Also:
  Constant Field Values

#### TYPE_BOOLEAN

    public static final byte TYPE_BOOLEAN

Boolean value marker constant

See Also:
  Constant Field Values

#### TYPE_STRING

    public static final byte TYPE_STRING

String marker constant

See Also:
  Constant Field Values

#### TYPE_OBJECT

    public static final byte TYPE_OBJECT

Object marker constant

See Also:
  Constant Field Values

#### TYPE_MOVIECLIP

    public static final byte TYPE_MOVIECLIP

MovieClip marker constant

See Also:
  Constant Field Values

#### TYPE_NULL

    public static final byte TYPE_NULL

Null marker constant

See Also:
  Constant Field Values

#### TYPE_UNDEFINED

    public static final byte TYPE_UNDEFINED

Undefined marker constant

See Also:
  Constant Field Values

#### TYPE_REFERENCE

    public static final byte TYPE_REFERENCE

Object reference marker constant

See Also:
  Constant Field Values

#### TYPE_MIXED_ARRAY

    public static final byte TYPE_MIXED_ARRAY

Mixed array marker constant

See Also:
  Constant Field Values

#### TYPE_END_OF_OBJECT

    public static final byte TYPE_END_OF_OBJECT

End of object marker constant

See Also:
  Constant Field Values

#### TYPE_ARRAY

    public static final byte TYPE_ARRAY

Array marker constant

See Also:
  Constant Field Values

#### TYPE_DATE

    public static final byte TYPE_DATE

Date marker constant

See Also:
  Constant Field Values

#### TYPE_LONG_STRING

    public static final byte TYPE_LONG_STRING

Long string marker constant

See Also:
  Constant Field Values

#### TYPE_UNSUPPORTED

    public static final byte TYPE_UNSUPPORTED

Unsupported type marker constant

See Also:
  Constant Field Values

#### TYPE_RECORDSET

    public static final byte TYPE_RECORDSET

Recordset marker constant

See Also:
  Constant Field Values

#### TYPE_XML

    public static final byte TYPE_XML

XML marker constant

See Also:
  Constant Field Values

#### TYPE_CLASS_OBJECT

    public static final byte TYPE_CLASS_OBJECT

Class marker constant

See Also:
  Constant Field Values

#### TYPE_AMF3_OBJECT

    public static final byte TYPE_AMF3_OBJECT

Object marker constant (for AMF3)

See Also:
  Constant Field Values

#### VALUE_TRUE

    public static final byte VALUE_TRUE

true marker constant

See Also:
  Constant Field Values

#### VALUE_FALSE

    public static final byte VALUE_FALSE

false marker constant

See Also:
  Constant Field Values

### Constructor Detail

#### AMF

    public AMF()